import { EventEmitter, OnDestroy, AfterViewInit, OnInit } from '@angular/core';
import { FormControl, FormGroup, NgForm } from '@angular/forms';
import { SdLabelDefDirective } from '@sd-angular/core/common';
export declare class SdTime implements OnDestroy, OnInit, AfterViewInit {
    #private;
    id: string;
    isMobileOrTablet: boolean;
    set name(val: string);
    formControl: FormControl;
    min: Date;
    set _min(val: string | Date);
    max: Date;
    set _max(val: string | Date);
    size: 'sm' | 'lg';
    set form(val: NgForm | FormGroup);
    set disabled(val: boolean | '');
    isRequired: boolean;
    set required(val: boolean | '');
    label: string;
    defaultTime: any;
    set model(val: any);
    sdLabelDef: SdLabelDefDirective;
    modelChange: EventEmitter<any>;
    sdChange: EventEmitter<any>;
    constructor();
    ngOnDestroy(): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onTimeChanged: (val: any) => void;
}
